### Hierarchy

- ConfigurationParameters

## Index

### Properties

- accessToken
- apiKey
- basePath
- credentials
- fetchApi
- headers
- middleware
- password
- queryParamsStringify
- username

## Properties

### Optional accessToken

accessToken: string | Promise<string> | ((name?: string, scopes?: string[]) => string | Promise<string>)

- Defined in src/generated/runtime.ts:139

### Optional apiKey

apiKey: string | ((name: string) => string)

- Defined in src/generated/runtime.ts:138

### Optional basePath

basePath: string

- Defined in src/generated/runtime.ts:132

### Optional credentials

credentials: RequestCredentials

- Defined in src/generated/runtime.ts:141

### Optional fetchApi

fetchApi: (input: RequestInfo, init?: RequestInit) => Promise<Response>

- Defined in src/generated/runtime.ts:133

#### Type declaration

- - (input: RequestInfo, init?: RequestInit): Promise<Response>

  - #### Parameters

    - ##### input: RequestInfo

    - ##### Optional init: RequestInit

    #### Returns Promise<Response>

### Optional headers

headers: HTTPHeaders

- Defined in src/generated/runtime.ts:140

### Optional middleware

middleware: Middleware []

- Defined in src/generated/runtime.ts:134

### Optional password

password: string

- Defined in src/generated/runtime.ts:137

### Optional queryParamsStringify

queryParamsStringify: (params: HTTPQuery ) => string

- Defined in src/generated/runtime.ts:135

#### Type declaration

- - (params: HTTPQuery ): string

  - #### Parameters

    - ##### params: HTTPQuery

    #### Returns string

### Optional username

username: string

- Defined in src/generated/runtime.ts:136

Generated using TypeDoc